CPCLEAN(1)

NAME
cpclean - Remove wrong control points by statistical methods

SYNOPSIS
cpclean [options] input.pto

DESCRIPTION
cpclean uses statistical methods to remove wrong control points.

Step 1 optimises all images pairs, calculates for each pair mean and standard deviation and removes all control points with error bigger than mean+n*sigma.

Step 2 optimises the whole panorama, calculates mean and standard deviation for all control points and removes all control points with error bigger than mean+n*sigma.

OPTIONS

--output|-o output.pto
    Output Hugin PTO file. Default: '<filename>_clean.pto'.

--max-distance|-n num
    distance factor for checking (default: 2) (cps with an error > mean + this factor*sigma will be removed)

--pairwise-checking|-p
    do only image pair cp checking (skip step 2)

--whole-pano-checking|-w
    do only whole panorama checking (skip step 1)

--dont-optimize|-s
    skip optimisation step when checking the whole panorama

--check-line-cp|-l
    also include line control points for calculation and filtering in step 2

--verbose|-v
    verbose output during optimisation

--help|-h
    shows help

AUTHORS
Thomas Modes